## org.hibernate.envers.query.criteria
Class AggregatedAuditExpression

    java.lang.Object
      org.hibernate.envers.query.criteria.AggregatedAuditExpression

All Implemented Interfaces:
  AuditCriterion, ExtendableCriterion

    public class AggregatedAuditExpression

extends Object
implements AuditCriterion, ExtendableCriterion

Nested Class Summary
`static class` `AggregatedAuditExpression.AggregatedMode`

Constructor Summary
`AggregatedAuditExpression(PropertyNameGetter propertyNameGetter, AggregatedAuditExpression.AggregatedMode mode)`

Method Summary
`AggregatedAuditExpression` `add(AuditCriterion criterion)`
`void` `addToQuery(AuditConfiguration auditCfg, String entityName, QueryBuilder qb, Parameters parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregatedAuditExpression

    public AggregatedAuditExpression(PropertyNameGetter propertyNameGetter,
                                     AggregatedAuditExpression.AggregatedMode mode)

Method Detail

### add

    public AggregatedAuditExpression add(AuditCriterion criterion)

  Specified by:
    `add` in interface `ExtendableCriterion`

### addToQuery

    public void addToQuery(AuditConfiguration auditCfg,
                           String entityName,
                           QueryBuilder qb,
                           Parameters parameters)

  Specified by:
    `addToQuery` in interface `AuditCriterion`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.